Package org.apache.felix.scr.component

# Interface ExtComponentContext

All Superinterfaces:
  `org.osgi.service.component.ComponentContext`

public interface ExtComponentContext extends org.osgi.service.component.ComponentContext
The `ExtComponentContext` is a custom extension of the standard ComponentContext allowing to update the service registration properties of a component registered as a service.

## Method Summary

Modifier and Type
Method
Description
`void`
`setServiceProperties(Dictionary<String,?> properties)`
Sets the service registration properties of the component registered as a service.

### Methods inherited from interface org.osgi.service.component.ComponentContext

`disableComponent, enableComponent, getBundleContext, getComponentInstance, getProperties, getServiceReference, getUsingBundle, locateService, locateService, locateServices`

## Method Details

### setServiceProperties

void setServiceProperties(Dictionary<String,?> properties)
Sets the service registration properties of the component registered as a service. If the component is not registered as a service, this method has no effect.

The `component.id` and `component.name` property are set by the Service Component Runtime and cannot be removed or replaced.

Parameters:
  `properties` - properties to update the default component properties with. If this is `null` or empty the default set of properties as defined in Section 112.6, Component Properties, are used as the service registration properties.
Throws:
  `IllegalStateException` - if this method is called for a Component Factory component